//+------------------------------------------------------------------+
//|                                                           LW.mq4 |
//|                                                   Benjamin Linus |
//|                                        e-mail: fxmail@rambler.ru |
//|   (  )                        |
//+------------------------------------------------------------------+

#property indicator_chart_window
//---- input parameters
extern int       barsToProcess=1000;
//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int init()
  {

   return(0);
  }

int deinit()
  {
int i;
  
  for (i=0;i<Bars;i++)
    {
    ObjectDelete("    "+DoubleToStr(i,0));
    ObjectDelete("    "+DoubleToStr(i,0));
    }
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator iteration function                              |
//+------------------------------------------------------------------+
int start()
  {
   int    counted_bars=IndicatorCounted(),
//----
   limit,
   i=0; 
   if(counted_bars>0)
      counted_bars--;
   
   limit=Bars-counted_bars;
   
   if(limit>barsToProcess)
      limit=barsToProcess;

   while (i<limit)
   {           

                              
        if
       (
       (Low[i+1]<Low[i+2]) && (Low[i+1]<Low[i+3]) && (Low[i+2]<Low[i+3]) &&
        (Close[i+1]<Close[i+2]) && (Close[i+1]<Close[i+3]) && (Close[i+2]<Close[i+3]) &&
        (High[i+1]<High[i+2]) && (High[i+1]<High[i+3]) && (High[i+2]<High[i+3]) &&
        (Close[i+1]<Low[i+2]) && (Close[i+2]>Low[i+3])
       )
       
       
       {
        ObjectCreate("    "+DoubleToStr(i+1,0),OBJ_ARROW,0,Time[i+1],Low[i+1]-15*Point);
        ObjectSet("    "+DoubleToStr(i+1,0),OBJPROP_ARROWCODE,108);
        ObjectSet("    "+DoubleToStr(i+1,0),OBJPROP_COLOR,Lime);
       }
       
        if 
       (
        (High[i+1]>High[i+2]) && (High[i+1]>High[i+3]) && (High[i+2]>High[i+3]) &&
        (Close[i+1]>Close[i+2]) && (Close[i+1]>Close[i+3]) && (Close[i+2]>Close[i+3]) &&
        (Low[i+1]>Low[i+2]) && (Low[i+1]>Low[i+3]) && (Low[i+2]>Low[i+3]) &&
        (Close[i+1]>High[i+2]) && (Close[i+2]<High[i+3])
       )        
       
       
       {
        ObjectCreate("    "+DoubleToStr(i+1,0),OBJ_ARROW,0,Time[i+1],High[i+1]+15*Point);
        ObjectSet("    "+DoubleToStr(i+1,0),OBJPROP_ARROWCODE,108);
        ObjectSet("    "+DoubleToStr(i+1,0),OBJPROP_COLOR,Red);
       }
                  
       
     i++;  
   }

//----
   return(0);
  }





































//+------------------------------------------------------------------+